Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000737Frama-CKernelpublic2011-02-28 15:232011-10-10 14:14
Reportersmaulat 
Assigned Tosignoles 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000737: frama-c always crashes when I install new plugins
DescriptionThe crash happens when I try to install two "hello" plugins (as explained in the plugin-development-guide-Carbon-20110201.pdf): i.e. two plgins with the same short name.

Once I have tried to do this, frama-c always returns the same error, also when I don't give it any argument.

TagsNo tags attached.
Attached Files? file icon frama-c_crash_20110228_hello.tr [^] (1,260 bytes) 2011-02-28 15:23

- Relationships

-  Notes
(0001533)
signoles (manager)
2011-03-02 11:26

There is now a nicer error message. Anyway you cannot have two plug-ins with the same short name.

- Issue History
Date Modified Username Field Change
2011-02-28 15:23 smaulat New Issue
2011-02-28 15:23 smaulat File Added: frama-c_crash_20110228_hello.tr
2011-02-28 16:41 pascal Status new => assigned
2011-02-28 16:41 pascal Assigned To => signoles
2011-03-02 11:26 signoles Note Added: 0001533
2011-03-02 11:26 signoles Status assigned => resolved
2011-03-02 11:26 signoles Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker